%define fname polib


Name:           python-polib
Version:        1.0.3
Release:        %mkrel 1
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:        http://bitbucket.org/izi/polib/downloads/polib-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.


%prep
%setup -q -n %{fname}-%{version}
%apply_patches

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Sun Aug 11 2013 billybot <billybot> 1.0.3-1pclos2013
- update
